using Microsoft.AspNet.Mvc;
using Microsoft.Extensions.OptionsModel;

namespace ObjectConfiguration_final.Controllers {
    public class HomeController : Controller
    {
        readonly MyOptions options;

        public HomeController(IOptions<MyOptions> optionsAccessor) {
            this.options = optionsAccessor.Value;
        }

        [Route("")]
        public IActionResult Index() {
            return this.View(this.options);
        }

    }
}
